<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 7.3.2 (Python 3.12.3 on linux)" generated="2025-10-01T11:24:31.547875" rpa="false" schemaversion="5">
<suite id="s1" name="Crm" source="/home/ersyl/development/robot-scripts/crm/Tests/crm.robot">
<test id="s1-t1" name="Should be able to log out" line="9">
<kw name="Set Selenium Speed" owner="SeleniumLibrary">
<arg>.25s</arg>
<doc>Sets the delay that is waited after each Selenium command.</doc>
<status status="PASS" start="2025-10-01T11:24:31.773164" elapsed="0.000506"/>
</kw>
<kw name="Set Selenium Timeout" owner="SeleniumLibrary">
<arg>10s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" start="2025-10-01T11:24:31.774061" elapsed="0.000330"/>
</kw>
<kw name="Log" owner="BuiltIn">
<msg time="2025-10-01T11:24:31.774796" level="INFO">Starting the test case!</msg>
<arg>Starting the test case!</arg>
<doc>Logs the given message with the given level.</doc>
<status status="PASS" start="2025-10-01T11:24:31.774641" elapsed="0.000229"/>
</kw>
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:31.775579" level="INFO">Opening browser 'chrome' to base url 'https://automationplayground.com/crm/'.</msg>
<arg>https://automationplayground.com/crm/</arg>
<arg>chrome</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-10-01T11:24:31.775344" elapsed="2.850277"/>
</kw>
<kw name="Zoom To 80 CSS">
<kw name="Execute Javascript" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:34.628643" level="INFO">Executing JavaScript:
document.body.style.zoom = "80%"
Without any arguments.</msg>
<arg>document.body.style.zoom = "80%"</arg>
<doc>Executes the given JavaScript code with possible arguments.</doc>
<status status="PASS" start="2025-10-01T11:24:34.627538" elapsed="0.277836"/>
</kw>
<status status="PASS" start="2025-10-01T11:24:34.626545" elapsed="0.279147"/>
</kw>
<kw name="Set Window Position" owner="SeleniumLibrary">
<arg>x=0</arg>
<arg>y=0</arg>
<doc>Sets window position using ``x`` and ``y`` coordinates.</doc>
<status status="PASS" start="2025-10-01T11:24:34.906094" elapsed="0.256133"/>
</kw>
<kw name="Set Window Size" owner="SeleniumLibrary">
<arg>width=1280</arg>
<arg>height=1080</arg>
<doc>Sets current windows size to given ``width`` and ``height``.</doc>
<status status="PASS" start="2025-10-01T11:24:35.162785" elapsed="0.270167"/>
</kw>
<kw name="Page Should Contain" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:35.962280" level="INFO">Current page contains text 'Customers Are Priority One!'.</msg>
<arg>Customers Are Priority One!</arg>
<doc>Verifies that current page contains ``text``.</doc>
<status status="PASS" start="2025-10-01T11:24:35.433397" elapsed="0.529052"/>
</kw>
<kw name="Click Link" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:35.963384" level="INFO">Clicking link 'id=SignIn'.</msg>
<arg>id=SignIn</arg>
<doc>Clicks a link identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:35.962821" elapsed="1.090508"/>
</kw>
<kw name="Page Should Contain" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:37.581634" level="INFO">Current page contains text 'Login'.</msg>
<arg>Login</arg>
<doc>Verifies that current page contains ``text``.</doc>
<status status="PASS" start="2025-10-01T11:24:37.053978" elapsed="0.527870"/>
</kw>
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:37.582831" level="INFO">Typing text 'contact@gmail.com' into text field 'id=email-id'.</msg>
<arg>id=email-id</arg>
<arg>contact@gmail.com</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:37.582289" elapsed="0.946408"/>
</kw>
<kw name="Input Password" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:38.529265" level="INFO">Typing password into text field 'id=password'.</msg>
<msg time="2025-10-01T11:24:39.086381" level="INFO">Temporally setting log level to: NONE</msg>
<arg>id=password</arg>
<arg>password12345</arg>
<doc>Types the given password into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:38.529008" elapsed="0.857602"/>
</kw>
<kw name="Select Checkbox" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:39.387377" level="INFO">Selecting checkbox 'remember'.</msg>
<arg>remember</arg>
<doc>Selects the checkbox identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:39.387025" elapsed="1.132807"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-01T11:24:42.521036" level="INFO">Slept 2 seconds.</msg>
<arg>2s</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-01T11:24:40.520316" elapsed="2.000937"/>
</kw>
<kw name="Click Button" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:42.522080" level="INFO">Clicking button 'id=submit-id'.</msg>
<arg>id=submit-id</arg>
<doc>Clicks the button identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:42.521684" elapsed="1.471824"/>
</kw>
<kw name="Page Should Contain" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:44.558764" level="INFO">Current page contains text 'Our Happy Customers'.</msg>
<arg>Our Happy Customers</arg>
<doc>Verifies that current page contains ``text``.</doc>
<status status="PASS" start="2025-10-01T11:24:43.994067" elapsed="0.564900"/>
</kw>
<kw name="Click Link" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:44.559795" level="INFO">Clicking link 'id=new-customer'.</msg>
<arg>id=new-customer</arg>
<doc>Clicks a link identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:44.559387" elapsed="1.141240"/>
</kw>
<kw name="Page Should Contain" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:46.226909" level="INFO">Current page contains text 'Add Customer'.</msg>
<arg>Add Customer</arg>
<doc>Verifies that current page contains ``text``.</doc>
<status status="PASS" start="2025-10-01T11:24:45.701234" elapsed="0.525905"/>
</kw>
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:46.228186" level="INFO">Typing text 'jane.doe@gmail.com' into text field 'id=EmailAddress'.</msg>
<arg>id=EmailAddress</arg>
<arg>jane.doe@gmail.com</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:46.227666" elapsed="0.860879"/>
</kw>
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:47.089534" level="INFO">Typing text 'Jane' into text field 'id=FirstName'.</msg>
<arg>id=FirstName</arg>
<arg>Jane</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:47.089066" elapsed="0.879653"/>
</kw>
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:47.969684" level="INFO">Typing text 'Doe' into text field 'id=LastName'.</msg>
<arg>id=LastName</arg>
<arg>Doe</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:47.969212" elapsed="0.877834"/>
</kw>
<kw name="Input Text" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:48.847545" level="INFO">Typing text 'Marseille' into text field 'id=City'.</msg>
<arg>id=City</arg>
<arg>Marseille</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:48.847307" elapsed="0.832021"/>
</kw>
<kw name="Select From List By Value" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:49.680321" level="INFO">Selecting options from selection list 'id=StateOrRegion' by value TX.</msg>
<arg>id=StateOrRegion</arg>
<arg>TX</arg>
<doc>Selects options from selection list ``locator`` by ``values``.</doc>
<status status="PASS" start="2025-10-01T11:24:49.679856" elapsed="2.136693"/>
</kw>
<kw name="Select Radio Button" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:51.817318" level="INFO">Selecting 'female' from radio button 'gender'.</msg>
<arg>gender</arg>
<arg>female</arg>
<doc>Sets the radio button group ``group_name`` to ``value``.</doc>
<status status="PASS" start="2025-10-01T11:24:51.817024" elapsed="0.844195"/>
</kw>
<kw name="Select Checkbox" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:52.662262" level="INFO">Selecting checkbox 'promos-name'.</msg>
<arg>promos-name</arg>
<doc>Selects the checkbox identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:52.661810" elapsed="1.099549"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-01T11:24:55.762400" level="INFO">Slept 2 seconds.</msg>
<arg>2s</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-01T11:24:53.761856" elapsed="2.000785"/>
</kw>
<kw name="Click Button" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:55.763634" level="INFO">Clicking button 'Submit'.</msg>
<arg>Submit</arg>
<doc>Clicks the button identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:55.763131" elapsed="1.242393"/>
</kw>
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-10-01T11:24:57.006418" level="INFO">Clicking element 'css:a[href='two.html']'.</msg>
<arg>css:a[href='two.html']</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:24:57.006027" elapsed="0.785662"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-01T11:25:00.792667" level="INFO">Slept 3 seconds.</msg>
<arg>3s</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-01T11:24:57.792151" elapsed="3.000731"/>
</kw>
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-10-01T11:25:00.793870" level="INFO">Clicking element 'css:a[href='three.html']'.</msg>
<arg>css:a[href='three.html']</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-10-01T11:25:00.793345" elapsed="0.801101"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-01T11:25:04.595366" level="INFO">Slept 3 seconds.</msg>
<arg>3s</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-01T11:25:01.594894" elapsed="3.000687"/>
</kw>
<kw name="Close Browser" owner="SeleniumLibrary">
<doc>Closes the current browser.</doc>
<status status="PASS" start="2025-10-01T11:25:04.595998" elapsed="0.380017"/>
</kw>
<doc>This is some basic info about the test</doc>
<tag>1006</tag>
<tag>Contacts</tag>
<tag>Smoke</tag>
<status status="PASS" start="2025-10-01T11:24:31.771429" elapsed="33.205064"/>
</test>
<doc>This is some basic info about the whole suite</doc>
<status status="PASS" start="2025-10-01T11:24:31.549341" elapsed="33.428322"/>
</suite>
<statistics>
<total>
<stat pass="1" fail="0" skip="0">All Tests</stat>
</total>
<tag>
<stat pass="1" fail="0" skip="0">1006</stat>
<stat pass="1" fail="0" skip="0">Contacts</stat>
<stat pass="1" fail="0" skip="0">Smoke</stat>
</tag>
<suite>
<stat name="Crm" id="s1" pass="1" fail="0" skip="0">Crm</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
